org.apache.fop.util

## Class DataURLUtil

- java.lang.Object
- - org.apache.fop.util.DataURLUtil

Deprecated.
use org.apache.xmlgraphics.util.uri.DataURLUtil directly

    public final class DataURLUtil
    extends Object

See Also:
  `DataURLUtil`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `createDataURL(InputStream in, String mediatype)` Deprecated.
`static void` `writeDataURL(InputStream in, String mediatype, Writer writer)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createDataURL

    public static String createDataURL(InputStream in,
                                       String mediatype)
                                throws IOException

Deprecated.

Parameters:
  `in` - an input stream
  `mediatype` - a MIME media type
Returns:
  a data url as a string
Throws:
  `IOException` - if not caught
See Also:
  `DataURLUtil.createDataURL(InputStream, String)`

#### writeDataURL

    public static void writeDataURL(InputStream in,
                                    String mediatype,
                                    Writer writer)
                             throws IOException

Deprecated.

Parameters:
  `in` - an input stream
  `mediatype` - a MIME media type
  `writer` - a writer
Throws:
  `IOException` - if not caught
See Also:
  `DataURLUtil.writeDataURL(InputStream, String, Writer)`